=== src/test/Makefile ===
include ../../globalmakeflags
CFLAGS += -I..
BIN=configtest dbtest strtest.o
OBJS=$(subst .c,.o,$(wildcard *.c))
LDFLAGS=-Wl,-rpath,/home/randolph/projects/debian-installer/tools/cdebconf/src -ldl

all: $(BIN)

configtest: ../strutl.o ../configuration.o configtest.o
	$(CC) -o $@ $^

dbtest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o dbtest.o
	$(CC) -o $@ $^ $(LDFLAGS)

fetest: ../strutl.o ../configuration.o ../priority.o ../template.o ../question.o ../database.o ../frontend.o fetest.o
	$(CC) -o $@ $^ $(LDFLAGS)

strtest: ../strutl.o strtest.o
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	-rm -f $(BIN) $(OBJS) *~
