=== src/modules/frontend/Makefile ===
include ../../../globalmakeflags

MODULES:=$(FRONTENDMODULES)
SOBJS=$(addsuffix .so,$(MODULES))

all:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module; \
		cp $$module/$$module.so .; \
	done

install:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module $@; \
	done

clean:
	@for module in $(MODULES); do \
		$(MAKE) -C $$module clean; \
	done
	-@rm -f $(SOBJS)

.PHONY: all
