=== src/modules/db/mysql/Makefile ===
SOBJ=mysql.so
OBJS=mysql.opic

MODLDFLAGS = -lmysqlclient

include ../modules.mak
