=== src/modules/db/textdb/Makefile ===
SOBJ=textdb.so
OBJS=textdb.opic

include ../modules.mak
