=== src/modules/frontend/bogl/Makefile ===
SOBJ=bogl.so
OBJS=bogl.opic

MODLDFLAGS=-lbogl

include ../modules.mak
