=== src/modules/frontend/ncurses/Makefile ===
SOBJ=ncurses.so
OBJS=ncurses.opic

#MODCFLAGS=-DUSESLANG
#MODLDFLAGS=-lslang
MODLDFLAGS=-lncurses

include ../modules.mak
