=== src/modules/frontend/slang/Makefile ===
SOBJ=slang.so
OBJS=slang.opic

MODLDFLAGS=-lslang

include ../modules.mak
