=== debian/changelog ===
cdebconf (0.10-7.1) unstable; urgency=low

  * Non-maintainer upload
  * Mark /etc/cdebconf.conf as a conffile, per policy (closes: #132798)

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Feb 2002 11:16:19 -0600

cdebconf (0.10-7) unstable; urgency=medium

  * Maintainer upload to fix binNMU brokenness for hppa
    (Closes: #126578)
  * Hurd fixes (Closes: #92091)
  * Other previously closed bug (Closes: #92091)

 -- Randolph Chung <tausq@debian.org>  Mon, 31 Dec 2001 10:40:53 -0800

cdebconf (0.10-6) unstable; urgency=low

  * Don't ship convertdb binary in the udeb (closes: #116206) 

 -- Randolph Chung <tausq@debian.org>  Sun, 21 Oct 2001 22:07:21 -0700

cdebconf (0.10-5) unstable; urgency=low

  * provide shlibs (closes: #83096) 
  * rename conffile to cdebconf.conf
  * remove need for user-interaction in postinst

 -- Randolph Chung <tausq@debian.org>  Wed, 21 Feb 2001 20:57:09 -0700

cdebconf (0.10-4) unstable; urgency=low

  * Added warning to cdebconf postinst about cdebconf breaking debconf
  * Added build-depends (closes: #83219)
  * Added in a hack to make cdebconf not really break debconf (closes: #83318)

 -- Randolph Chung <tausq@debian.org>  Wed, 24 Jan 2001 00:01:05 -0700

cdebconf (0.10-3) unstable; urgency=low

  * Make cdebconf Priority: optional instead of standard
  * Minor packaging fixes

 -- Randolph Chung <tausq@debian.org>  Sun, 21 Jan 2001 10:40:38 -0700

cdebconf (0.10-2) unstable; urgency=low

  * Fixes a number of packaging bugs, moved to main tree
  * Lots of new features, see CVS logs...

 -- Randolph Chung <tausq@debian.org>  Fri, 19 Jan 2001 19:37:51 -0700

cdebconf (0.10-1) experimental; urgency=low

  * Initial Release.

 -- Randolph Chung <tausq@debian.org>  Sun,  1 Oct 2000 15:54:15 -0700

Local variables:
mode: debian-changelog
End:
