=== debian/control ===
Source: cdebconf
Section: utils
Build-Depends: dpkg-dev (>= 1.7.0), debhelper (>= 2.1.18), slang1-dev, libbogl-dev [!hurd-i386]
Priority: optional
Maintainer: Randolph Chung <tausq@debian.org>
Standards-Version: 3.2.1.0

Package: cdebconf
Architecture: any
Depends: ${shlibs:Depends}
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 Installing this package is rather dangerous now. It will break debconf.
 You have been warned!

Package: cdebconf-dev
Architecture: all
Depends: cdebconf (= ${Source-Version})
Description: Development files for cdebconf
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 This package contains files needed to do cdebconf development

Package: cdebconf-udeb
Architecture: any
Section: debian-installer
Description: Debian Configuration Management System (C-implementation)
 Debconf is a configuration management system for Debian packages. It is
 used by some packages to prompt you for information before they are
 installed. This is a reimplementation of the original debconf version
 in C.
 .
 cdebconf-udeb is a minimal cdebconf package used by the 
 debian-installer
