## cdebconf 0.67

=== debian/changelog ===
cdebconf (0.67) unstable; urgency=low

  * Matt Kraai
    - Free the owner field of the node being deleted (Closes: #256954).
    - Add self to Uploaders.

 -- Matt Kraai <kraai@debian.org>  Wed, 30 Jun 2004 17:37:37 -0700

cdebconf (0.66) unstable; urgency=low

  * Joshua Kwan
    - Apply patch from Guillaume Pernot <gpernot@praksys.org> to fix
      a lone semicolon in newt.c that chokes gcc. (Closes: #251973)
  * Colin Watson
    - Initialize frontend handle to NULL and check for that on dlclose().
      This prevents a segfault when DEBIAN_FRONTEND=none.
    - Add myself to Uploaders.
  * Updated translations:
    - Welsh (cy.po) by Dafydd Harries
    - German (de.po) by Dennis Stampfer
    - Persian (fa.po) by Arash Bijanzadeh
    - Korean (ko.po) by Changwoo Ryu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Jun 2004 15:01:36 +0100

cdebconf (0.65) unstable; urgency=low

  * Denis Barbier
    - cdebconf-text-udeb.templates:  when fixing #245624, a string format
      was modified.  Now that string freeze is over, this file is updated
      as well as translations.
    - With text interface, append "[*]" to selected items in boolean, select
      and multiselect questions.
  * Eugeniy Meshcheryakov
    - newt frontend: long lines in select and multiselect templates
      were wrongly truncated.  Closes: #245982

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 May 2004 20:05:51 +0200

cdebconf (0.64) unstable; urgency=low

  * Denis Barbier
    - text frontend: the default value in string templates was printed
      with %d instead of %s.  Closes: #245624

 -- Denis Barbier <barbier@debian.org>  Wed, 28 Apr 2004 02:03:19 +0200

cdebconf (0.63) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 12:55:32 -0400

cdebconf (0.62) unstable; urgency=low

 -- Denis Barbier <barbier@debian.org>  Thu, 29 Apr 2004 23:35:37 +0200

cdebconf (0.61) unstable; urgency=low

  * Martin Sjögren
    - newt.c: Make sure we don't call NewtFinished if there's an active
      progress bar. Closes: #242976
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Gallegan (gl.po) by Héctor Fernández López
    - Italian (it.po) by Davide Viti
    - Portuguese (pt.po) by Miguel Figueiredo
    - Russian (ru.po) by Nikolai Prokoschenko
    - Turkish (tr.po) by Osman Yüksel

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2004 21:22:11 -0400

cdebconf (0.60) unstable; urgency=low

  * Joey Hess
    - Increase debhelper version to one that can handle udebs.
  * Denis Barbier
    - In the newt frontend, remove the <Continue> button except for
      questions of type note, error and multiselect (and also select
      when extended description is very long and displayed in a
      separate window).
    - Add a --merge command-line flag to debconf-loadtemplate.
      When debconf-loadtemplate reads templates files, the default
      behavior is to replace existing templates with the new
      definitions.  With this flag, translations are added to already
      existing templates.  But if English text differs, outdated
      translations are removed as if this flag was unset.
      Closes: #212921
    - Fix newt.c so that debian/cdebconf-newt-udeb.templates is generated
      from source files.
    - Rebuild cdebconf-text-udeb.templates to include strings added
      recently to the text frontend.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Pierre Machard
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bokmal, Norwegian (nb.po) by Petter Reinholdtsen
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Nuno Sénica
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 01:15:58 -0400

cdebconf (0.59) unstable; urgency=low

  * Joey Hess
    - Mark udebs as such in the control file, so debconf doesn't mark
      conffiles. Did not finish conversion to new simpler rules file
      using new debhelper udeb features.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Apr 2004 16:58:34 -0500

cdebconf (0.58) unstable; urgency=low

  * Denis Barbier
    - Major improvements to the text frontend:
      + '\r' is not supported by all terminals, which made progress bars
        unreadable.  The display is now:
          Progress bar title ..20%..40%..60%..80%..100%
        Closes: #195704
      + Add support for backing up.  Closes: #183107
      + For most questions, prints the short description below the extended
        one.
      + String and passwd questions accept an empty answer.
      + A contextual help message is available at prompt.
      + Progress bar refresh is set to a minimum of 10% to prevent
        too verbose output.
      + Select and multiselect questions look now more like debconf
        readline questions.
      + Define a ISEMPTY macro to deal with empty strings on s390.
    - The previous fix about the seen flag broke when a package is

