=== debian/changelog ===
cdebconf (0.74ubuntu10) hoary; urgency=low

  * Add draft Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:46:15 +0000

cdebconf (0.74ubuntu9) hoary; urgency=low

  * Restore regressed autoconf elimination from 0.74ubuntu6

 -- LaMont Jones <lamont@ubuntu.com>  Mon, 21 Feb 2005 20:24:18 -0700

cdebconf (0.74ubuntu8) hoary; urgency=low

  * Update templates for the news keyboard selector.
    - did the German translation.
  * Changed wrong-key text to clarify that Shift is not necessary.
  * Decrement the timer in steps of 10 (if >10) in order to not impart
    a sense of terrible urgency to the user. (Suggested by elmo)

 -- Matthias Urlichs <smurf@debian.org>  Mon, 21 Feb 2005 17:00:05 +0100

cdebconf (0.74ubuntu7) hoary; urgency=low

  * Backport from trunk:
    - Fix memory leaks in METAGET, PROGRESS, SETTITLE, and X_SETBACKTITLE
      commands.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Feb 2005 11:30:51 +0000

cdebconf (0.74ubuntu6) hoary; urgency=low

  * Generate configure in the source package rather than requiring autoconf
    at build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2005 14:55:45 +0000

cdebconf (0.74ubuntu5) hoary; urgency=low

  * Keyboard detection code
  * Actually return an error when things go wrong
  * Re-enabled frontend selection by command line
  * Return DC_NOTIMPL if a question type isn't implemented,
    instead of silently skipping the question.

 -- Matthias Urlichs <smurf@smurf.noris.de>  Tue, 25 Jan 2005 14:27:37 +0100

cdebconf (0.74ubuntu4) hoary; urgency=low

  * Add "progress" to the list of capabilities returned by CAPB.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  1 Feb 2005 13:54:26 +0000

cdebconf (0.74ubuntu3) hoary; urgency=low

  * Backport X_SETBACKTITLE fix from trunk to make the backdrop title appear
    in newt progress bars too.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 19:35:20 +0000

cdebconf (0.74ubuntu2) hoary; urgency=low

  * Backport from trunk:
    - Patch from mdz to support the DATA command, as used by the (perl)
      debconf passthrough frontend (as patched by mdz to work as of debconf
      1.4.42). This allows dpkg-reconfigure inside the chroot to communicate
      with the user using the existing cdebconf d-i frontend.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 14 Jan 2005 13:58:20 +0000

cdebconf (0.74ubuntu1) hoary; urgency=low

  * Enable stack driver.
  * Move answers to password questions out of
    /var/lib/cdebconf/questions.dat to /var/lib/cdebconf/passwords.dat.
  * Backport from trunk, mainly for the live CD:
    - Add an X_SETBACKTITLE command, which sets the backdrop title. In the
      newt frontend, this appears as text at the top left-hand corner of the
      screen. This is to be used for top-level operational modes of the
      installer, such as rescue mode.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 12 Jan 2005 23:09:28 +0000

cdebconf (0.74) unstable; urgency=low

  * Colin Watson
    - Fix a couple of compiler warnings in the stack driver.
    - Set config_passwd_db path in example cdebconf.conf to passwords.dat
      rather than templates.dat.
    - Attempt to read cdebconf.conf configuration tags with quote-removal
      (strparsecword) and only try without quote-removal (strparsequoteword)
      if that fails. The strange function naming wasn't my idea ... Fixes
      incorrect parsing of stack driver parts of example cdebconf.conf.
    - Initialise next pointers in template/question stacks properly.
    - Implement accept_types and reject_types in stack driver.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Jan 2005 18:27:54 +0000

cdebconf (0.73) unstable; urgency=low

  * Colin Watson
    - Set NEWT_FLAG_RETURNEXIT on multiselect checkboxes (closes: #252751).
    - Fix compiler warning in text frontend.
    - gtk frontend work:
      + Set window title on GO.
      + Make cdebconf-gtk-udeb packaging work (still not built by default).
      + Make the Forward button the default widget, so that pressing Enter
        activates it.
    - Make the value of DEBCONF_OLD_FD_BASE available via the shell
      confmodule.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Dec 2004 10:54:47 +0000

cdebconf (0.72) unstable; urgency=low

  * Colin Watson
    - gtk frontend work (not built for sarge, so no risk):
      + Allocate choices, choices_translated, and defvals dynamically. Fixes
        several crash bugs.
      + Fix a type mismatch that generated a compiler warning.
      + Disable help popup on multiselects, since it made it impossible to
        actually select anything. Ditto on password keyboard focus grab.
      + Implement the text type, just as an alias of note for now.
      + Drop the old back/continue buttons entirely, as they only appear
        sometimes and having both them and the druid-style buttons is very
        confusing. Fix sensitivity of druid-style buttons.
  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Latvian (lv.po) by Aigars Mahinovs
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:20:44 -0400

cdebconf (0.71) unstable; urgency=low

  * Colin Watson
    - Fix some compiler warnings.
    - cdebconf conflicts with debconf-doc (closes: #274795).
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović

