=== src/test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../../globalmakeflags
 CFLAGS += -I..
-BIN=configtest dbtest detecttest
+BIN=configtest dbtest
 OBJS=$(subst .c,.o,$(wildcard *.c))
 LDFLAGS=-Wl,-rpath,$(shell cd ..; pwd) -ldl
 
@@ -18,8 +18,5 @@
 #strtest: ../strutl.o strtest.o
 #	$(CC) -o $@ $^ $(LDFLAGS)
 
-detecttest: detecttest.c
-	$(CC) -o $@ -I..  $^ ../detect_keys.o ../debug.o
-
 clean:
 	-rm -f $(BIN) $(OBJS) *~
