=== src/modules/db/rfc822db/Makefile ===
MODULE=rfc822db
SOBJ=rfc822db.so
OBJS=rfc822db.opic

include ../modules.mak

CFLAGS+= -I./table
