=== src/modules/frontend/corba/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-# $Id: Makefile,v 1.2 2001/02/22 09:22:39 zw Exp $
+# $Id: Makefile 11913 2004-03-25 04:52:51Z klfmanik-guest $
 
 # This is wrong 8:P  (Hey, big nose? Or girlie hair?)
+MODULE=corba
 SOBJ = corba.so
 OBJS = corba.opic
 include ../modules.mak
