=== src/modules/frontend/gtk/Makefile ===
MODULE=gtk
SOBJ=gtk.so
OBJS=gtk.opic
MODCFLAGS=`pkg-config --cflags gtk+-2.0`

MODLDFLAGS=`pkg-config --libs gtk+-2.0`

include ../modules.mak
