=== src/modules/frontend/newt/Makefile ===
MODULE=newt
SOBJ=newt.so
OBJS=newt.opic

MODLDFLAGS=-lnewt

include ../modules.mak
