=== src/modules/frontend/text/Makefile ===
MODULE=text
SOBJ=text.so
OBJS=text.opic

include ../modules.mak
