=== debian/changelog ===
cdebconf (0.74.2) testing; urgency=low

  * New upload with no source changes to get udebs marching source in sarge.
  * Version number munge since this reverts the 0.74 changes from sarge,
    since the 0.74 udebs never did get in.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 May 2005 11:23:05 -0400
