=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: cdebconf
 Section: utils
-Build-Depends: dpkg-dev (>= 1.7.0), debhelper (>= 4.2), libperl-dev, d-shlibs (>= 0.3), po-debconf (>= 0.5.0), libnewt-dev, libtextwrap-dev
+Priority: optional
+Build-Depends: debhelper (>= 4.2), po-debconf (>= 0.5.0), libnewt-dev, libtextwrap-dev, libdebian-installer-dev
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>
+Uploaders: Randolph Chung <tausq@debian.org>, Martin Sjogren <sjogren@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Denis Barbier <barbier@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.6.1
 
 Package: cdebconf
 Architecture: any
 Depends: ${shlibs:Depends}
 Provides: debconf-2.0
-Conflicts: debconf
+Conflicts: debconf, debconf-doc
 Priority: extra
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
@@ -35,7 +36,7 @@
 Package: libdebconfclient0-dev
 Architecture: any
 Section: libdevel
-Depends: libdebconfclient0 (= ${Source-Version}), ${devlibs:Depends}
+Depends: libdebconfclient0 (= ${Source-Version})
 Conflicts: libdebconfclient-dev, libdebconf-dev, libcdebconf-dev, cdebconf-dev
 Provides: libdebconfclient-dev
 Replaces: libdebconf-dev
@@ -51,6 +52,7 @@
 Architecture: any
 Section: debian-installer
 Priority: standard
+Depends: ${shlibs:Depends}
 XC-Package-Type: udeb
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
@@ -62,7 +64,7 @@
  debian-installer
 
 Package: cdebconf-priority
-Architecture: any
+Architecture: all
 Section: debian-installer
 Priority: standard
 Depends: cdebconf-udeb
@@ -76,7 +78,7 @@
 Architecture: any
 Section: debian-installer
 Priority: optional
-Depends: cdebconf-udeb
+Depends: ${shlibs:Depends}, cdebconf-udeb
 Provides: libdebconfclient0
 XC-Package-Type: udeb
 Description: Debian Configuration Management System (C-implementation)
@@ -88,7 +90,7 @@
  This is a udeb version of libdebconfclient0.
 
 Package: cdebconf-slang-udeb
-Architecture: any
+Architecture: disabled
 Section: debian-installer
 Priority: optional
 Depends: cdebconf-udeb, di-utils-terminfo, ${shlibs:Depends}
@@ -121,6 +123,7 @@
 Architecture: any
 Section: debian-installer
 Priority: optional
+Depends: cdebconf-udeb, ${shlibs:Depends}
 XC-Package-Type: udeb
 Description: Plain text frontend for Debian Configuration Management System
  Debconf is a configuration management system for Debian packages. It is
@@ -132,7 +135,7 @@
  by the debian-installer.
 
 Package: cdebconf-gtk-udeb
-Architecture: any
+Architecture: disabled
 Section: debian-installer
 Priority: optional
 Depends: cdebconf-udeb, ${shlibs:Depends}
