=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--without-rpath \
-		--with-db="textdb rfc822db stack" \
+		--with-db="textdb rfc822db" \
 		--with-frontend="$(DEB_FRONTENDS)" \
 		--with-textwrap \
 		--with-conffile=$(CONFFILE) \
@@ -58,7 +58,7 @@
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--enable-d-i \
-		--without-rpath --with-db="rfc822db stack" \
+		--without-rpath --with-db="rfc822db" \
 		--with-frontend="$(UDEB_FRONTENDS)" \
 		--with-default-frontend=newt \
 		--with-syslog-logging \
